# Uses of Interface
org.opensaml.xmlsec.encryption.KeySize

Packages that use KeySize
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of KeySize in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return KeySize
Modifier and Type
Method
Description
`KeySize`
EncryptionMethod.`getKeySize()`
Gets the KeySize child element.
Methods in org.opensaml.xmlsec.encryption with parameters of type KeySize
Modifier and Type
Method
Description
`void`
EncryptionMethod.`setKeySize(KeySize newKeySize)`
Sets the KeySize child element.

## Uses of KeySize in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement KeySize
Modifier and Type
Class
Description
`class`
`KeySizeImpl`
Concrete implementation of `KeySize`.
Fields in org.opensaml.xmlsec.encryption.impl declared as KeySize
Modifier and Type
Field
Description
`private KeySize`
EncryptionMethodImpl.`keySize`
KeySize child element value.
Methods in org.opensaml.xmlsec.encryption.impl that return KeySize
Modifier and Type
Method
Description
`KeySize`
KeySizeBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`KeySize`
KeySizeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`KeySize`
EncryptionMethodImpl.`getKeySize()`
Gets the KeySize child element.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type KeySize
Modifier and Type
Method
Description
`void`
EncryptionMethodImpl.`setKeySize(KeySize newKeySize)`
Sets the KeySize child element.